Get Service Account

Get Service Account
Retrieves a specific service account

Retrieves a specific service account

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/serviceAccounts/{id}
COPY
Path Parameters
string
id
Required

Service account ID URN


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServiceAccount of type(s) application/json;version=9.1.0
{
    "id": "string",
    "name": "string",
    "softwareId": "string",
    "softwareVersion": "string",
    "roles": [
        {
            "name": "string",
            "id": "string"
        }
    ],
    "uri": "string",
    "org": {
        "name": "string",
        "id": "string"
    },
    "managedBy": {
        "name": "string",
        "id": "string"
    },
    "status": "string",
    "requireRotation": false,
    "tokenRotation": "string"
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Classic"},{"type":"Modern"}]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/serviceAccounts/{id}